Subject: Re: Any work on 4to6?

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 22 Aug 2007 23:25:50 +0200

We have been in a similar situation with real customers and I think the
ideal is to keep using dual stack, in my opinion, even if you use private
IPv4 addresses. We use softwires (take a look to that WG).

I don't think is useful at this stage to use only IPv6, and I'm not
convinced we should try to develop any protocol for that situation, because
it is easier and more useful to use dual-stack (even with private IPv4
addresses).

The only missing piece in softwires is the auto-discovery, but we are also
working on that (expired drafts at the time being, but will be resurrected
soon).

Regards,
Jordi

> De: Juliusz Chroboczek <[email-masked]>
> Responder a: <[email-masked]>
> Fecha: Wed, 22 Aug 2007 22:30:13 +0200
> Para: <[email-masked]>
> CC: Rémi Denis-Courmont <[email-masked]>,
> <[email-masked]>
> Asunto: Any work on 4to6?
> 
> Please accept my apologies if this is not the right forum for raising
> this issue.
> 
> For the last three months or so, we have been running an experimental
> pure IPv6 network at the University of Paris 7.  The results of this
> experiment are not very encouraging: our users end up setting up ssh
> tunnels to a double-stack host for more or less everything.
> 
> On an IPv4 network, unless the administrator has deliberately filtered
> out the functionality, you are likely to find a 6to4 or Teredo relay
> that you can speak to.  Thus, you get both client-only IPv4
> functionality (using your possibly NATed address) and end-to-end
> functionality using your tunnelled IPv6 address.
> 
> Not so on a pure Ipv6 address.  You will find a double-stack DNS
> resolver, you might find a double-stack HTTP proxy, or, if you're
> lucky, a SOCK5 proxy, but there's no chance to have any support for
> e.g. UDP over IPv4.
> 
> The net result is that not only there is no incentive to transition to
> IPv6, there is actually a strong incentive to stick to IPv4: if you
> want to provide full connectivity to your users, you need to either
> route just IPv4, or both IPv4 and IPv6, but you cannot route IPv6
> only.  Thus, use of IPv6 currently doubles the routing traffic without
> giving you anything.
> 
> I would therefore like to convince you that if the transition is to be
> successful, we absolutely need some standardised form of automatically
> configured IPv4 in IPv6 tunnelling.  I believe that we need:
> 
>  - a standardised way to discover the endpoint of a 4to6 tunnel, for
>    example using an RA or DHCPv6 option;
>  - a standardised way to run DHCPv4 on a 4to6 tunnel;
>  - friendly individuals willing to run 4to6 relays for the common
>    good, as they currently do for 6to4 and Teredo.
> 
> Note that since DHCPv4 is intrinsically stateful, and that the IPv4
> address is likely to be NATed, using anycast for the tunnel endpoint
> is not possible.  Using multicast to locate the tunnel endpoint might
> not work on exotic network topologies (such as mesh networks or NBMAs),
> which are likely to be the very ones that won't want to route two protocols.
> 
> I would be quite willing to give a hand with implementation.
> 
>                                         Juliusz Chroboczek

**********************************************
The IPv6 Portal: http://www.ipv6tf.org

Bye 6Bone. Hi, IPv6 !
http://www.ipv6day.org

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.